﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingSeasonFormsViewModel
@{
    Layout = null;
}

<style>
</style>

<div class="view-container">
    <div class="title-bar jbi-ad">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Form and waivers
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <div>
            <fieldset>
                <legend>Registration form</legend>
                <span class="message">The system provides one registration form called Default. User must fill out this form when they register for your programs. You can edit this form and customize the fields. Note: When you make a change to a form, all  programs that have the same form will inherit the changes.</span>

                <div class="two-third place-left">
                    <div class="one-third place-left">
                        <label class="margin-top10">Registration form</label>
                    </div>
                    <div class="two-third place-right">
                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.SelectedForm" ng-options="obj.Value as obj.Text for obj in Model.Forms"></select>
                        </div>
                    </div>
                </div>

                <div class="place-left one-third text-right">
                    <a class="button default" ng-click="goCustomizeForm()" style="width: 200px;">Manage registration forms</a>
                </div>
            </fieldset>

            <fieldset>
                <legend>Waivers</legend>
                <span class="message">Select all the waivers that users have to agree to before they can complete their registration.</span>
                <div class="place-left two-third">
                    <div class="input-control select" data-role="input-control">
                        <select chosen multiple
                                ng-model="Model.SelectedWaivers"
                                data-placeholder="Select waivers"
                                ng-options="obj.Value as obj.Text for obj in Model.Waivers"></select>
                    </div>
                </div>
                <div class="place-left one-third text-right">
                    <a class="button default" ng-click="goWaivers()" style="width: 200px;">Manage waivers</a>
                </div>
            </fieldset>

        </div>

        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_ScheduleInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>